summaryrefslogtreecommitdiff
path: root/bootstrap-hybrid
diff options
context:
space:
mode:
authorMarcello Stanisci <marcello.stanisci@inria.fr>2016-05-10 18:58:33 +0200
committerMarcello Stanisci <marcello.stanisci@inria.fr>2016-05-10 18:58:33 +0200
commit2c6c89fd486a8710297d71b14caabb3f3ff466a6 (patch)
treefb4ff686b782154997531805f748bee846bb5e1f /bootstrap-hybrid
parentf7e9bfbd1bba92dc97c10aad542867c8f8004400 (diff)
downloaddeployment-2c6c89fd486a8710297d71b14caabb3f3ff466a6.tar.gz
deployment-2c6c89fd486a8710297d71b14caabb3f3ff466a6.tar.bz2
deployment-2c6c89fd486a8710297d71b14caabb3f3ff466a6.zip
adding bootstrapper compatible with taler-config-generator
Diffstat (limited to 'bootstrap-hybrid')
-rwxr-xr-xbootstrap-hybrid35
1 files changed, 35 insertions, 0 deletions
diff --git a/bootstrap-hybrid b/bootstrap-hybrid
new file mode 100755
index 0000000..1e9c1d7
--- /dev/null
+++ b/bootstrap-hybrid
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+# Do not hardcode @test or @demo configuration values.
+# Aimed to be called by a Dockerfile and get those values
+# set by taler-config utility. It also make use of the
+# taler-config-generator utility. May obsolete bootstrap-{test,demo}.
+
+set -eu
+
+base=$HOME
+
+mkdir -p $base
+
+cd $base
+
+if ! test -d $base/gnunet; then
+ svn checkout https://gnunet.org/svn/gnunet
+fi
+
+if ! test -d $base/libmicrohttpd; then
+ svn checkout https://gnunet.org/svn/libmicrohttpd
+fi
+
+for component in bank merchant gnurl landing exchange merchant-frontends deployment; do
+ if ! test -d $base/$component; then
+ git clone /var/git/$component.git
+ fi
+done
+
+cat >$base/activate <<EOL
+#!/bin/bash
+export PATH="$base/local/bin:$base/deployment/bin:\$PATH"
+EOL
+
+mkdir -p $base/.config